Go to the latest version of this document.

# ``twisted`.`protocols`.`htb`.`IBucketFilter``

interface documentation

`class IBucketFilter(Interface): (source)`

Known implementations: `twisted.protocols.htb.HierarchicalBucketFilter`

View In Hierarchy

Undocumented

Method | `getBucketFor` | Return a `Bucket` corresponding to the provided parameters.

def getBucketFor(*somethings, **some_kw): (source)

Return a `Bucket` corresponding to the provided parameters.

Returns
`Bucket` | Undocumented